Bug 643929 - Changing an existing alert by adding more than one additional condition at a time does not work
Summary: Changing an existing alert by adding more than one additional condition at a ...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: RHQ Project
Classification: Other
Component: Alerts
Version: 3.0.0
Hardware: All
OS: All
medium
medium vote
Target Milestone: ---
: ---
Assignee: John Mazzitelli
QA Contact: Corey Welton
URL:
Whiteboard:
Depends On:
Blocks: rhq4 jon30-bugs
TreeView+ depends on / blocked
 
Reported: 2010-10-18 14:25 UTC by dsteigne
Modified: 2018-10-27 11:35 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-02-15 16:19:16 UTC


Attachments (Terms of Use)

Description dsteigne 2010-10-18 14:25:25 UTC
Description of problem:
If you have an existing alert and you would like to change it by adding more conditions, the view does not change if you try to add multiple conditions before saving.

Version-Release number of selected component (if applicable):
2.4

How reproducible:


Steps to Reproduce:
- Select any resource
- Select Alerts
- Select existing alert
- edit alert
- Add another condition
- set values for this new condition
- Click on "Add another condition"
---> View does not change to reflect there's a new condition to be entered. 

  
Actual results:
Screen doesn't add the additional condition choices

Expected results:


Additional info:

Comment 1 dsteigne 2010-10-18 19:10:59 UTC

The reverse is also true, you can only delete one condition at a time too.

Comment 2 Ian Springer 2011-02-15 16:19:16 UTC
This is a bug in the old JSF GUI and so will not be fixed.


Note You need to log in before you can comment on or make changes to this bug.